From ab02a73d6d100100cd5a87073e5cdc3c9a0865d1 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:19:50 -0500
Subject: [PATCH 23/26] avoid shadow vars: rangetypes_gist.c: range

commit 80da9e68fdd70b796b3a7de3821589513596c0f7
Author: Tom Lane <tgl@sss.pgh.pa.us>
Date:   Sun Mar 4 22:50:06 2012 -0500

    Rewrite GiST support code for rangetypes.
---
 src/backend/utils/adt/rangetypes_gist.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/adt/rangetypes_gist.c b/src/backend/utils/adt/rangetypes_gist.c
index fbf39dbf303..a14b8261fdb 100644
--- a/src/backend/utils/adt/rangetypes_gist.c
+++ b/src/backend/utils/adt/rangetypes_gist.c
@@ -1350,10 +1350,10 @@ range_gist_double_sorting_split(TypeCacheEntry *typcache,
 	/* Fill arrays of bounds */
 	for (i = FirstOffsetNumber; i <= maxoff; i = OffsetNumberNext(i))
 	{
-		RangeType  *range = DatumGetRangeTypeP(entryvec->vector[i].key);
+		RangeType  *thisrange = DatumGetRangeTypeP(entryvec->vector[i].key);
 		bool		empty;
 
-		range_deserialize(typcache, range,
+		range_deserialize(typcache, thisrange,
 						  &by_lower[i - FirstOffsetNumber].lower,
 						  &by_lower[i - FirstOffsetNumber].upper,
 						  &empty);
-- 
2.17.1

